import { IPlot, IPlotContainer } from './models/index';
import { Layout, PlotData } from './models/plotly.js/index';
export declare let plots: IPlot[];
export declare const plotContainer: IPlotContainer;
/**
 * Clears all stacked plots.
 */
export declare function clear(): void;
/**
 * Stacks plot data to a stack. When executing `plot`
 * the stack will also be plotted.
 * @param data
 * @param layout
 */
export declare function stack(data: Array<Partial<PlotData>>, layout?: Partial<Layout>): void;
/**
 * Plots the registered plots to a browser.
 * @param data
 * @param layout
 * @param cb
 */
export declare function plot(data?: Array<Partial<PlotData>> | null, layout?: Partial<Layout>, cb?: (id: number) => void): void;
